curl --request GET \
--url https://default.ulm.stg.m1amdocs.io/storefront/partnerSubscription \
--header 'Authorization: Bearer <token>'import requests
url = "https://default.ulm.stg.m1amdocs.io/storefront/partnerSubscription"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://default.ulm.stg.m1amdocs.io/storefront/partnerSubscription', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://default.ulm.stg.m1amdocs.io/storefront/partnerSubscription",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://default.ulm.stg.m1amdocs.io/storefront/partnerSubscription"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://default.ulm.stg.m1amdocs.io/storefront/partnerSubscription")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://default.ulm.stg.m1amdocs.io/storefront/partnerSubscription")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"partnerSubscriptionId": "<string>",
"partnerCustomerId": "<string>",
"organizationId": "<string>",
"organizationCode": "<string>",
"partnerOrganizationId": "<string>",
"accountId": "<string>",
"accountVid": "<string>",
"subscriptionId": "<string>",
"subscriptionVid": "<string>",
"subscriptionItemId": "<string>",
"externalPartnerSubscriptionId": "<string>",
"registrationString": "<string>",
"partnerUrl": "<string>",
"partnerTokenizedUrl": "<string>",
"partnerCode": "<string>",
"productCode": "<string>",
"slmProductCode": "<string>",
"createdDate": "<string>",
"updatedDate": "<string>",
"startServiceDate": "<string>",
"endServiceDate": "<string>",
"activatedDate": "<string>",
"serviceStatus": "UNPROVISIONED",
"state": "<string>",
"billingStatus": "PENDING-VALIDATION",
"type": "ENTITLEMENT",
"billingPaymentMethod": "<string>",
"redemptionCodeExpirationTime": "2025-02-22T17:30:09.000Z",
"retryable": false,
"reasonCode": "<string>",
"metadata": {}
}
]{
"code": "invalid-request",
"message": "<string>",
"validationErrors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>"
}{
"code": "not-found",
"message": "<string>"
}{
"code": "server-error",
"message": "<string>"
}Query the current user's partner subscriptions.
Get a list of partner subscription information records.
curl --request GET \
--url https://default.ulm.stg.m1amdocs.io/storefront/partnerSubscription \
--header 'Authorization: Bearer <token>'import requests
url = "https://default.ulm.stg.m1amdocs.io/storefront/partnerSubscription"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://default.ulm.stg.m1amdocs.io/storefront/partnerSubscription', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://default.ulm.stg.m1amdocs.io/storefront/partnerSubscription",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://default.ulm.stg.m1amdocs.io/storefront/partnerSubscription"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://default.ulm.stg.m1amdocs.io/storefront/partnerSubscription")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://default.ulm.stg.m1amdocs.io/storefront/partnerSubscription")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"partnerSubscriptionId": "<string>",
"partnerCustomerId": "<string>",
"organizationId": "<string>",
"organizationCode": "<string>",
"partnerOrganizationId": "<string>",
"accountId": "<string>",
"accountVid": "<string>",
"subscriptionId": "<string>",
"subscriptionVid": "<string>",
"subscriptionItemId": "<string>",
"externalPartnerSubscriptionId": "<string>",
"registrationString": "<string>",
"partnerUrl": "<string>",
"partnerTokenizedUrl": "<string>",
"partnerCode": "<string>",
"productCode": "<string>",
"slmProductCode": "<string>",
"createdDate": "<string>",
"updatedDate": "<string>",
"startServiceDate": "<string>",
"endServiceDate": "<string>",
"activatedDate": "<string>",
"serviceStatus": "UNPROVISIONED",
"state": "<string>",
"billingStatus": "PENDING-VALIDATION",
"type": "ENTITLEMENT",
"billingPaymentMethod": "<string>",
"redemptionCodeExpirationTime": "2025-02-22T17:30:09.000Z",
"retryable": false,
"reasonCode": "<string>",
"metadata": {}
}
]{
"code": "invalid-request",
"message": "<string>",
"validationErrors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>"
}{
"code": "not-found",
"message": "<string>"
}{
"code": "server-error",
"message": "<string>"
}Authorizations
OAuth 2.0 Authentication
Query Parameters
The ID of a subscription.
The category of Partner subscription to retrieve
BILLING, ENTITLEMENT Response
OK
MarketONE partner service provisioning record identifier.
256MarketONE unique customer identifier per partner.
256The ID of the aggregator organization in MarketONE for which this record was created.
50The organization code as set by the admin in MarketONE.
The ID of the partner organization in MarketONE for which this record was created.
The ID of the MarketONE account associated with this partner service record. This ID is not returned when the API is called with a partner API key. This will be returned withwhen the API is called with an aggregator API key.
128The id of the SLM subscription associated with this partner service given by SLM in its response.
128The id of the SLM subscription associated with this partner service.
128The id of the SLM subscription associated with this partner service given by SLM in its response.
128The id of the SLM subscription Item associated with this partner service.
128The identifier returned by the partner from the "AddSubscription" callback.
256Information that was sent to the partner as part of the "AddSubscription" callback; e.g. registration code
2048The optional response value that identifies the Url where user will be directed to for entering the registration code and completing the registration
2048The optional response value that identifies the complete one click url that can be used by the user for activation of his partner subscription.
2048The partner code as set by the partner admin in MarketONE.
15The product code defined by the partner identified by partner code.
128The offer code defined by the CSP and maintained in SLM.
128The timestamp (ISO 8601 format) when the partner service provisioning information record was created.
The timestamp (ISO 8601 format) when the partner service provisioning information record was updated.
The timestamp (ISO 8601 format) when the partner service provisioning information record was created.
The timestamp (ISO 8601 format) when the partner service provisioning information record was updated.
The timestamp (ISO 8601 format) when the partner subscription was activated (optional)
Status of the partner service MarketONE information. UNPROVISIONED indicates that the record was created by the callback response was not received. INACTIVE indicates the provisioning callback was sucesfully received by the partner service, but it has not been claimed by any service user yet. ACTIVE indicates that the service entitlement has been sucesfully provisioned, and a partner service user has claimed it. CANCELLATION-IN-PROGRESS indicates that the a de-provisioning request is pending. CANCELLED indicates that the de-provisioning request confirmation has been received.
UNPROVISIONED, INACTIVE, ACTIVE, CANCELLATION-IN-PROGRESS, CANCELLED, UPDATE-IN-PROGRESS, PAUSED, PAUSE-IN-PROGRESS, RESUME-IN-PROGRESS 50Current state of the calls in regards to Create, Cancel and Reprovision Subscriptions. Used for state machine orchestration for MarketONE managed subscriptions.
50The status of the OTT billing partner subscription. PENDING-VALIDATION - the BILLING partner subscription creation was requested by the OTT partner and it requires validation, MarketONE triggered the OTP notification, aggregator sends the OTP to the consumer. The customer aggregator account details have not yet been validated as being correct. E.g. a MSISDN was provided, but we have not yet verified it belongs to the user. PENDING-CONFIRMATION - MarketONE successfully validated the BILLING partner subscription. All the BILLING partner subscription details are validated at this point, MarketONE awaiting confirmation from the customer via the OTT partner that they wish this partner subscription to be active for billing. ACTIVE - the BILLING partner subscription is available for billing CANCELLED - the BILLING partner subscription was canceled and can no longer be used for charges, but may be used for refunds if it had previously been active.
PENDING-VALIDATION, PENDING-CONFIRMATION, ACTIVE, CANCELLED 50the type of the partner subscription record; ENTITLEMENT - is when the partner subscription is represeting a entitlement relationship; BILLING - when the partner subscription is representing a billing relationship.
ENTITLEMENT, BILLING A unique identifier.
256The timestamp (ISO 8601 format) about the partner service redemption code will get expiration.
"2025-02-22T17:30:09.000Z"
Indicates whether the provisioning is retryable in case of failure.
Reason code for partner subscription cancellation.
A set of key/value pairs that you can attach to an object. Useful for storing additional information.
Show child attributes
Show child attributes
Was this page helpful?

